You can reply to a ticket with a message from an admin or on behalf of a contact, or with a note for admins.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.10"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.10
One of:
One of:
Payload of the request to reply on behalf of a contact using their intercom_user_id
A list of image URLs that will be added as attachments. You can include up to 10 URLs.
- The production API serverhttps://api.intercom.io/tickets/{id}/reply
- The european API serverhttps://api.eu.intercom.io/tickets/{id}/reply
- The australian API serverhttps://api.au.intercom.io/tickets/{id}/reply
- Contact Reply on ticket
- Admin Reply on ticket
- User reply
- Admin note reply
- Admin note reply with cross-post to linked conversations
- Admin quick_reply reply
- Not found
curl -i -X POST \
https://api.intercom.io/tickets/123/reply \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.10' \
-d '{
"message_type": "comment",
"type": "user",
"intercom_user_id": "6657ad586abd0166b52ae30b",
"body": "Thanks again :)"
}'Admin quick_reply reply
Response
- User reply
- Admin note reply
- Admin quick_reply reply
{ "type": "ticket_part", "id": "142", "part_type": "comment", "body": "<p>Thanks again :)</p>", "created_at": 1717022040, "updated_at": 1717022040, "author": { "id": "6657ad586abd0166b52ae30b", "type": "user", "name": null, "email": "user30@email.com" }, "attachments": [], "redacted": false }